Index: npl/system/libnftnl/libnftnl.SlackBuild
===================================================================
--- npl/system/libnftnl/libnftnl.SlackBuild	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl.SlackBuild	(revision 6a553550e318eb9df85701777970ebed17effe30)
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/n/libnftnl/
+# Created at Thu Jan 19 22:27:40 CET 2017
+
+#DEP:libmnl
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./libnftnl.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/system/libnftnl/libnftnl.SlackBuild.orig
===================================================================
--- npl/system/libnftnl/libnftnl.SlackBuild.orig	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl.SlackBuild.orig	(revision 6a553550e318eb9df85701777970ebed17effe30)
@@ -0,0 +1,114 @@
+#!/bin/sh
+
+# Copyright 2014  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=libnftnl
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \; -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --mandir=/usr/man \
+  --docdir=/usr/doc/$PKGNAM-$VERSION \
+  --disable-static \
+  --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+  grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+  ( cd $PKG/usr/man
+    for manpagedir in $(find . -type d -name "man*") ; do
+      ( cd $manpagedir
+        for eachpage in $( find . -type l -maxdepth 1) ; do
+          ln -s $( readlink $eachpage ).gz $eachpage.gz
+          rm $eachpage
+        done
+        gzip -9 *.?
+      )
+    done
+  )
+fi
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a COPYING* $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
Index: npl/system/libnftnl/libnftnl.arch
===================================================================
--- npl/system/libnftnl/libnftnl.arch	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl.arch	(revision 6a553550e318eb9df85701777970ebed17effe30)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/libnftnl/libnftnl.build
===================================================================
--- npl/system/libnftnl/libnftnl.build	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl.build	(revision 6a553550e318eb9df85701777970ebed17effe30)
@@ -0,0 +1,1 @@
+1
Index: npl/system/libnftnl/libnftnl.depver
===================================================================
--- npl/system/libnftnl/libnftnl.depver	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl.depver	(revision 6a553550e318eb9df85701777970ebed17effe30)
@@ -0,0 +1,1 @@
+libmnl	0
Index: npl/system/libnftnl/libnftnl.md5
===================================================================
--- npl/system/libnftnl/libnftnl.md5	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl.md5	(revision 6a553550e318eb9df85701777970ebed17effe30)
@@ -0,0 +1,7 @@
+d95e984e65ab0b45f71830a2ec9e1675  ./libnftnl-1.0.7.tar.xz
+b0d81e72a4b5c6d787a20dcbaf23179e  ./libnftnl_dev.pkg
+ec2fd4da0ae98351de61df860c2a118b  ./libnftnl.pkg
+c3c2e73959a125edbae05fd59f746183  ./libnftnl.SlackBuild
+6d1ea102cc14361753baaf1f8d63c1c4  ./libnftnl.SlackBuild.log.gz
+3ee5194e2eb86ab8e794271145775e9f  ./libnftnl.SlackBuild.orig
+c6acafc91edd7af90543a7d0ff4c48d0  ./slack-desc
Index: npl/system/libnftnl/libnftnl.version
===================================================================
--- npl/system/libnftnl/libnftnl.version	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl.version	(revision 6a553550e318eb9df85701777970ebed17effe30)
@@ -0,0 +1,1 @@
+1.0.7
Index: npl/system/libnftnl/libnftnl_dev.arch
===================================================================
--- npl/system/libnftnl/libnftnl_dev.arch	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl_dev.arch	(revision 6a553550e318eb9df85701777970ebed17effe30)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/libnftnl/libnftnl_dev.build
===================================================================
--- npl/system/libnftnl/libnftnl_dev.build	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl_dev.build	(revision 6a553550e318eb9df85701777970ebed17effe30)
@@ -0,0 +1,1 @@
+1
Index: npl/system/libnftnl/libnftnl_dev.version
===================================================================
--- npl/system/libnftnl/libnftnl_dev.version	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl_dev.version	(revision 6a553550e318eb9df85701777970ebed17effe30)
@@ -0,0 +1,1 @@
+1.0.7
Index: npl/system/libnftnl/slack-desc
===================================================================
--- npl/system/libnftnl/slack-desc	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/slack-desc	(revision 6a553550e318eb9df85701777970ebed17effe30)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+        |-----handy-ruler------------------------------------------------------|
+libnftnl: libnftnl (user-space interface to the kernel nf_tables subsystem)
+libnftnl:
+libnftnl: libnftnl is a userspace library providing a low-level netlink
+libnftnl: programming interface (API) to the in-kernel nf_tables subsystem.
+libnftnl: This library is currently used by nftables. 
+libnftnl:
+libnftnl: Homepage: http://www.netfilter.org/projects/libnftnl/
+libnftnl:
+libnftnl:
+libnftnl:
+libnftnl:
